<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm"><h1>#{messages['gazelle.ordermanager.PatientDetails']}</h1>
            <s:decorate template="/layout/panels/_panel.xhtml" rendered="#{patientManager.patient == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['gazelle.ordermanager.TheGivenIdDoesNotMatchAnExistingPatient']} !"/>
            </s:decorate>
            <s:div id="globalDiv" rendered="#{patientManager.patient != null}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsDemographics']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                        <ui:param name="patient" value="#{patientManager.patient}"/>
                        <ui:param name="codeProvider" value="#{omDemographicCodeProvider}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsAddress']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                        <ui:param name="patient" value="#{patientManager.patient}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsIdentifiers']}</ui:define>
                    <rich:list value="#{patientManager.patient.patientIdentifiers}" var="pid" type="unordered">
                        <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
                    </rich:list>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.Observations']}</ui:define>
                    <ui:include src="/patient/showPatientObservation.xhtml">
                        <ui:param name="patient" value="#{patientManager.patient}"/>
                    </ui:include>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml"
                                    rendered="#{not empty patient.contrastAllergies}">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ContrastAllergies']}</ui:define>
                            <h:outputText value="#{patient.contrastAllergies}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsEncounters']}</ui:define>
                    <rich:dataTable value="#{patientManager.getEncountersForSelectedPatient()}" var="enc"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="patenclist"
                                    render="ds">
                        <ui:include src="/common/encounterColumns.xhtml">
                            <ui:param name="encounter" value="#{enc}"/>
                            <ui:param name="displayPatientInfo" value="false"/>
                            <ui:param name="extendedTable" value="true"/>
                        </ui:include>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="patenclist"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
